USING Progress.Lang.*.


/** Declare print services for a Document which may be printed.
 * For documents like Quotes, Invoices, etc.
 * @author John Green, August 2009
 */
INTERFACE Print.PrintDocument:
  
  /** Print the document.
   * Implementing classes must provide a print() method for
   * submitting the document to a printer.
   * @return The implementing method must return the print job ID.
   */
  METHOD PUBLIC INT64 print().
  
  /** Preview the document.
   * Implementing classes must provide a printPreview() method for
   * providing a print preview of the document.
   */
  METHOD PUBLIC VOID printPreview().
    
END INTERFACE.
